% Finite Difference Schemes for Coupled Differential Equations in Protein Folding 
% By: Moch. Januar, 0606068442
% Department of Physics UI

clear all;
clc;
close all;

format long
a=0; %batas awal interval x
b=10; %batas akhir interval x
c=0; %batas awal interval t
d=10; %batas akhir interval t
N=600; % bilangan interger positif
M=600;
h=(b-a)/N;% nilai step-size untuk x
k=(d-c)/M;% nilai step-size untuk t

%input 
L=0.00283;  % interaction coupling
l=0.0004;  % nonlinear-term
e=0.0008;  % mass-term


%initial condition at t=0
for i=1:N
    x=a+i*h;
    f(i)=2*sech(2*(x'))*exp(imag(2*(x')));
end
for i=1:N
    x=a+i*h;
    g(i)=1;
end

Model
Animation

